Subject: Re: [avtext] New Version Notification for draft-ietf-avtext-avpf-ccm-layered-01.txt

From: Stephan Wenger <[email-masked]>
Date: Tue, 17 May 2016 16:33:18 +0000

Hi all,

I have posted an update to the ccm-layered draft.  There is only one change.  From the change-log:

draft-ietf-avtext-avpf-ccm-layered-00: In section "Identifying the use of Layered Codecs (Informative)", removed last sentence that could be misread that the explicit signaling of simulcasting in conjunction with payload formats supporting layered coding implies no layering.

We had a short discussion about this issue in Buenos Aires.  The previous version indicated that when simulcasting is signaled, it could be assumed that pyramid-shaped layering is not in place.  There is no conceptual restriction that would disallow the simulcasting of pyramid-shaped bitstreams, so that sentence was misleading.  Therefore, it is removed.

With this change, and based on the input we received in Buenos Aires, we think the draft is ready for WGLC.  Chairs, please consider.

Thanks,
Stephan

On 5/17/16, 09:29, "[email-masked]" <[email-masked]> wrote:

>
>A new version of I-D, draft-ietf-avtext-avpf-ccm-layered-01.txt
>has been successfully submitted by Stephan Wenger and posted to the
>IETF repository.
>
>Name:		draft-ietf-avtext-avpf-ccm-layered
>Revision:	01
>Title:		Using Codec Control Messages in the RTP Audio-Visual Profile with Feedback with Layered Codecs
>Document date:	2016-05-17
>Group:		avtext
>Pages:		11
>URL:            https://www.ietf.org/internet-drafts/draft-ietf-avtext-avpf-ccm-layered-01.txt
>Status:         https://datatracker.ietf.org/doc/draft-ietf-avtext-avpf-ccm-layered/
>Htmlized:       https://tools.ietf.org/html/draft-ietf-avtext-avpf-ccm-layered-01
>Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-avtext-avpf-ccm-layered-01
>
>Abstract:
>   This document fixes a shortcoming in the specification language of
>   the Codec Control Message Full Intra Request (FIR) as defined in
>   RFC5104 when using with layered codecs.  In particular, a Decoder
>   Refresh Point needs to be sent by a media sender when a FIR is
>   received on any layer of the layered bitstream, regardless on whether
>   those layers are being sent in a single or in multiple RTP flows.
>   The other payload-specific feedback messages defined in RFC 5104 and
>   RFC 4585 as updated by RFC 5506 have also been analyzed, and no
>   corresponding shortcomings have been found.
>
>                                                                                  
>
>
>Please note that it may take a couple of minutes from the time of submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>The IETF Secretariat
>